import React__default from 'react';
import PropTypes from 'prop-types';
import { ButtonSkeleton, SkeletonText } from '@carbon/react';
import { settings } from '../../../constants/Settings.js';

/* eslint-disable jsx-a11y/anchor-is-valid */
/* eslint-disable no-script-url */

var defaultProps = {
  testId: 'suite-header-app-switcher'
};
var propTypes = {
  testId: PropTypes.string
};
var SuiteHeaderAppSwitcherLoading = function SuiteHeaderAppSwitcherLoading(_ref) {
  var testId = _ref.testId;
  var baseClassName = "".concat(settings.iotPrefix, "--suite-header-app-switcher");
  return /*#__PURE__*/React__default.createElement("ul", {
    "data-testid": "".concat(testId, "--loading"),
    className: baseClassName
  }, /*#__PURE__*/React__default.createElement("li", {
    className: "".concat(baseClassName, "--nav-link")
  }, /*#__PURE__*/React__default.createElement("div", {
    className: "".concat(baseClassName, "--nav-link--button--loading")
  }, /*#__PURE__*/React__default.createElement(ButtonSkeleton, null))), /*#__PURE__*/React__default.createElement("li", null, /*#__PURE__*/React__default.createElement("div", {
    className: "".concat(baseClassName, "--nav-link--loading")
  }, /*#__PURE__*/React__default.createElement(SkeletonText, {
    paragraph: true,
    lineCount: 3
  }))));
};
SuiteHeaderAppSwitcherLoading.defaultProps = defaultProps;
SuiteHeaderAppSwitcherLoading.propTypes = propTypes;
SuiteHeaderAppSwitcherLoading.__docgenInfo = {
  "description": "",
  "methods": [],
  "displayName": "SuiteHeaderAppSwitcherLoading",
  "props": {
    "testId": {
      "defaultValue": {
        "value": "'suite-header-app-switcher'",
        "computed": false
      },
      "description": "",
      "type": {
        "name": "string"
      },
      "required": false
    }
  }
};
var SuiteHeaderAppSwitcherLoading$1 = SuiteHeaderAppSwitcherLoading;

export { SuiteHeaderAppSwitcherLoading$1 as default };
